classification
Title: fix autoconf quoting in help strings and code snippets
Type: Stage:
Components: Build Versions: Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: doko, georg.brandl
Priority: normal Keywords: needs review, patch

Created on 2010-04-23 15:16 by doko, last changed 2010-08-01 08:11 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
configure.in.diff doko, 2010-04-23 15:16
Messages (3)
msg104017 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2010-04-23 15:16
the attached patch adds quoting to help strings and code snippets, following the autoconf quotation rule of thumb "One pair of quotes per pair of parentheses".

checked that the generated files are identical.
msg104108 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2010-04-24 17:32
applied the changes for 2.7 and 3.2.  there is a diff for the regenerated configure like

-rm -f -r conftest*
+rm -f conftest*

I explicitely used a vanilla autoconf-2.61 download for regenerating the configure script. Why the diff?
msg112284 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-08-01 08:11
Patch has been applied; closing.
History
Date User Action Args
2010-08-01 08:11:48georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg112284

resolution: fixed
2010-04-24 17:32:28dokosetmessages: + msg104108
2010-04-23 15:16:43dokocreate